Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MixedInMetaClass

- org.codehaus.groovy.runtime.metaclass.MixedInMetaClass

-     public class MixedInMetaClass
      extends OwnedMetaClass

  A delegating MetaClass that allows mixing in a mixin object. This class delegates method invocation to an owner object's MetaClass while maintaining a weak reference to the owner to prevent memory leaks.

  This implementation is for internal use by the Groovy runtime's mixin feature.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DelegatingMetaClass` | `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixedInMetaClass(Object instance, Object owner)` Constructs a new MixedInMetaClass.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `getOwner()`
    `` | `protected MetaClass` | `getOwnerMetaClass(Object owner)`
    `` | `public Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class OwnedMetaClass` | `equals, getAttribute, getAttribute, getClassNode, getMetaMethod, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getOwner, getOwnerMetaClass, getProperties, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAttribute, setAttribute, setProperty, setProperty, toString`
    `class DelegatingMetaClass` | `addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString`

- - ### Constructor Detail

    - #### public MixedInMetaClass(Object instance, Object owner)

      Constructs a new MixedInMetaClass.

      Parameters:
        `instance` - the instance that will have the mixin applied
        `owner` - the owner object that provides the mixin functionality

  - ### Method Detail

    - #### protected Object getOwner()

    - #### protected MetaClass getOwnerMetaClass(Object owner)

    - #### public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)